Index: src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision 3d5b5bdeb158f9612295a4adbb43add240c21bd9)
+++ src/UIElements/Views/Qt4/Qt3D/GLMoleculeObject_molecule.cpp	(revision fb95a5645025c4f145cfcbf9ef41a1f12c86a506)
@@ -694,5 +694,6 @@
   connect (atomObject, SIGNAL(hoverChanged(GLMoleculeObject *)), this, SLOT(hoverChangedSignalled(GLMoleculeObject *)));
   connect (atomObject, SIGNAL(selectionChanged()), this, SIGNAL(changed()));
-  connect (atomObject, SIGNAL(BondsChanged(const atomId_t, const atomId_t, const GLMoleculeObject_bond::SideOfBond)), this, SLOT(bondInserted(const atomId_t, const atomId_t, const GLMoleculeObject_bond::SideOfBond)));
+//  connect (atomObject, SIGNAL(bondsChanged()), this, SLOT(bondInserted(const atomId_t, const atomId_t, const GLMoleculeObject_bond::SideOfBond)));
+  connect (atomObject, SIGNAL(BondsInserted(const atomId_t, const atomId_t, const GLMoleculeObject_bond::SideOfBond)), this, SLOT(bondInserted(const atomId_t, const atomId_t, const GLMoleculeObject_bond::SideOfBond)));
   connect (atomObject, SIGNAL(BondsRemoved(const atomId_t, const atomId_t)), this, SLOT(bondRemoved(const atomId_t, const atomId_t)));
   connect (atomObject, SIGNAL(indexChanged(GLMoleculeObject_atom*, const atomId_t, const atomId_t)), this, SLOT(changeAtomId(GLMoleculeObject_atom*, const atomId_t, const atomId_t)));
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision 3d5b5bdeb158f9612295a4adbb43add240c21bd9)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.cpp	(revision fb95a5645025c4f145cfcbf9ef41a1f12c86a506)
@@ -89,5 +89,5 @@
   }
 
-  connect(this, SIGNAL(updated()), this, SLOT(update()));
+//  connect(this, SIGNAL(updated()), this, SLOT(update()));
 }
 
@@ -98,38 +98,38 @@
 }
 
-/** Update the WorldScene with molecules and atoms from World.
- *
- * This function should be called after e.g. WorldTime::TimeChanged was
- * received or after another molecule has been loaded.
- *
- */
-void GLWorldScene::update()
-{
-  const std::vector<const molecule *> &molecules =
-      const_cast<const World &>(World::getInstance()).getAllMolecules();
-
-  for (std::vector<const molecule*>::const_iterator moliter = molecules.begin();
-      moliter != molecules.end();
-      moliter++) {
-    // check whether molecule already exists
-    const moleculeId_t molid = (*moliter)->getId();
-    const bool mol_present = MoleculesinSceneMap.count(molid);
-    if (!mol_present)
-      moleculeInserted((*moliter)->getId());
-  }
-
-  MoleculeNodeMap::iterator iter = MoleculesinSceneMap.begin();
-  for (;iter != MoleculesinSceneMap.end();) {
-    const moleculeId_t molid = iter->first;
-    const molecule * const mol = const_cast<const World &>(World::getInstance()).
-        getMolecule(MoleculeById(molid));
-    const bool mol_absent = (mol == NULL);
-    // step on to next molecule before possibly removing entry and invalidating iter
-    ++iter;
-    if (mol_absent)
-      moleculeRemoved(molid);
-  }
-
-}
+///** Update the WorldScene with molecules and atomsfrom World.
+// *
+// * This function should be called after e.g. WorldTime::TimeChanged was
+// * received or after another molecule has been loaded.
+// *
+// */
+//void GLWorldScene::update()
+//{
+//  const std::vector<const molecule *> &molecules =
+//      const_cast<const World &>(World::getInstance()).getAllMolecules();
+//
+//  for (std::vector<const molecule*>::const_iterator moliter = molecules.begin();
+//      moliter != molecules.end();
+//      moliter++) {
+//    // check whether molecule already exists
+//    const moleculeId_t molid = (*moliter)->getId();
+//    const bool mol_present = MoleculesinSceneMap.count(molid);
+//    if (!mol_present)
+//      moleculeInserted((*moliter)->getId());
+//  }
+//
+//  MoleculeNodeMap::iterator iter = MoleculesinSceneMap.begin();
+//  for (;iter != MoleculesinSceneMap.end();) {
+//    const moleculeId_t molid = iter->first;
+//    const molecule * const mol = const_cast<const World &>(World::getInstance()).
+//        getMolecule(MoleculeById(molid));
+//    const bool mol_absent = (mol == NULL);
+//    // step on to next molecule before possibly removing entry and invalidating iter
+//    ++iter;
+//    if (mol_absent)
+//      moleculeRemoved(molid);
+//  }
+//
+//}
 
 void GLWorldScene::atomClicked(atomId_t no)
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp	(revision 3d5b5bdeb158f9612295a4adbb43add240c21bd9)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldScene.hpp	(revision fb95a5645025c4f145cfcbf9ef41a1f12c86a506)
@@ -70,5 +70,5 @@
 signals:
   void changed();
-  void updated();
+//  void updated();
   void changeOccured();
   void pressed();
@@ -91,5 +91,5 @@
   void addShape();
   void removeShape();
-  void update();
+//  void update();
   void moleculesVisibilityChanged(const moleculeId_t _id, bool _visible);
   void changeMoleculeId(GLMoleculeObject_molecule *, const moleculeId_t, const moleculeId_t);
Index: src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp
===================================================================
--- src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision 3d5b5bdeb158f9612295a4adbb43add240c21bd9)
+++ src/UIElements/Views/Qt4/Qt3D/GLWorldView.cpp	(revision fb95a5645025c4f145cfcbf9ef41a1f12c86a506)
@@ -85,5 +85,5 @@
   connect(this, SIGNAL(ShapeAdded()), worldscene, SLOT(addShape()));
   connect(this, SIGNAL(ShapeRemoved()), worldscene, SLOT(removeShape()));
-  connect(this, SIGNAL(TimeChanged()), worldscene, SIGNAL(updated()));
+//  connect(this, SIGNAL(TimeChanged()), worldscene, SIGNAL(updated()));
   connect(worldscene, SIGNAL(changeOccured()), this, SLOT(changeSignalled()));
   connect(worldscene, SIGNAL(changed()), this, SIGNAL(changed()));
@@ -102,5 +102,5 @@
   World::getInstance().signOn(this, World::MoleculeInserted);
   World::getInstance().signOn(this, World::SelectionChanged);
-  WorldTime::getInstance().signOn(this, WorldTime::TimeChanged);
+//  WorldTime::getInstance().signOn(this, WorldTime::TimeChanged);
   AtomObserver::getInstance().signOn(this, AtomObservable::PositionChanged);
 
@@ -131,5 +131,5 @@
   World::getInstance().signOff(this, World::MoleculeInserted);
   World::getInstance().signOff(this, World::SelectionChanged);
-  WorldTime::getInstance().signOff(this, WorldTime::TimeChanged);
+//  WorldTime::getInstance().signOff(this, WorldTime::TimeChanged);
   AtomObserver::getInstance().signOff(this, AtomObservable::PositionChanged);
   ShapeRegistry::getInstance().signOff(this);
